aboutsummaryrefslogtreecommitdiffstats
path: root/coin/provisioning/qtci-linux-RHEL-7.4-x86_64
diff options
context:
space:
mode:
Diffstat (limited to 'coin/provisioning/qtci-linux-RHEL-7.4-x86_64')
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.4-x86_64/001-refresh-subscription-manager.sh38
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.4-x86_64/001-systemsetup.sh51
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.4-x86_64/002-enable-repos.sh2
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.4-x86_64/003-install-devtoolset.sh40
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.4-x86_64/004-install-packages.sh88
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.4-x86_64/004-p7zip.sh55
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.4-x86_64/005-libclang.sh9
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.4-x86_64/006-cmake.sh40
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.4-x86_64/007-qnx_700.sh36
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.4-x86_64/008-integrity.sh36
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.4-x86_64/009-disable_selinux.sh36
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.4-x86_64/009-install_icu.sh73
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.4-x86_64/010-openssl_for_android_linux.sh37
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.4-x86_64/040-android_linux.sh36
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.4-x86_64/08-pythondev.sh63
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.4-x86_64/mqtt_broker.sh36
16 files changed, 676 insertions, 0 deletions
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/001-refresh-subscription-manager.sh b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/001-refresh-subscription-manager.sh
new file mode 100755
index 00000000..a76a8638
--- /dev/null
+++ b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/001-refresh-subscription-manager.sh
@@ -0,0 +1,38 @@
+#!/bin/bash
+
+#############################################################################
+##
+## Copyright (C) 2017 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+# refresh local certificates
+sudo subscription-manager refresh
+
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/001-systemsetup.sh b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/001-systemsetup.sh
new file mode 100755
index 00000000..22bf19a3
--- /dev/null
+++ b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/001-systemsetup.sh
@@ -0,0 +1,51 @@
+#!/bin/bash
+
+#############################################################################
+##
+## Copyright (C) 2017 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+set -e
+
+BASEDIR=$(dirname "$0")
+source $BASEDIR/../common/network_test_server_ip.txt
+
+echo "Set Network Test Server address to $network_test_server_ip in /etc/hosts"
+echo "$network_test_server_ip qt-test-server qt-test-server.qt-test-net" | sudo tee -a /etc/hosts
+echo "Set DISPLAY"
+echo 'export DISPLAY=":0"' >> ~/.bashrc
+# for current session
+export DISPLAY=:0
+
+# disable Automatic screen lock
+gsettings set org.gnome.desktop.screensaver lock-enabled false
+# disable blank screen power saving
+gsettings set org.gnome.desktop.session idle-delay 0
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/002-enable-repos.sh b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/002-enable-repos.sh
new file mode 100755
index 00000000..2697de04
--- /dev/null
+++ b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/002-enable-repos.sh
@@ -0,0 +1,2 @@
+#!/bin/bash
+sudo subscription-manager repos --enable rhel-workstation-rhscl-7-rpms
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/003-install-devtoolset.sh b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/003-install-devtoolset.sh
new file mode 100755
index 00000000..439e2db5
--- /dev/null
+++ b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/003-install-devtoolset.sh
@@ -0,0 +1,40 @@
+#!/bin/bash
+
+#############################################################################
+##
+## Copyright (C) 2017 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+sudo yum-config-manager --enable rhel-server-rhscl7-rpms
+sudo yum -y install devtoolset-4
+
+echo "source /opt/rh/devtoolset-4/enable" >> ~/.bashrc
+
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/004-install-packages.sh b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/004-install-packages.sh
new file mode 100755
index 00000000..a8e812bd
--- /dev/null
+++ b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/004-install-packages.sh
@@ -0,0 +1,88 @@
+#!/bin/bash
+
+#############################################################################
+##
+## Copyright (C) 2017 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+set -e
+
+installPackages=()
+installPackages+=(git)
+installPackages+=(zlib-devel)
+installPackages+=(glib2-devel)
+installPackages+=(openssl-devel)
+installPackages+=(freetype-devel)
+installPackages+=(fontconfig-devel)
+# EGL support
+installPackages+=(mesa-libEGL-devel)
+installPackages+=(mesa-libGL-devel)
+installPackages+=(libxkbfile-devel)
+# Xinput2
+installPackages+=(libXi-devel)
+installPackages+=(python-devel)
+installPackages+=(mysql-server)
+installPackages+=(mysql)
+installPackages+=(mysql-devel)
+installPackages+=(postgresql-devel)
+installPackages+=(cups-devel)
+installPackages+=(dbus-devel)
+# gstreamer 1 for QtMultimedia
+installPackages+=(gstreamer1-devel)
+installPackages+=(gstreamer1-plugins-base-devel)
+# gtk3 style for QtGui/QStyle
+installPackages+=(gtk3-devel)
+# libusb1 for tqtc-boot2qt/qdb
+installPackages+=(libusb-devel)
+# speech-dispatcher-devel for QtSpeech, otherwise it has no backend on Linux
+installPackages+=(speech-dispatcher-devel)
+# Python
+installPackages+=(python-devel python-virtualenv)
+# WebEngine
+installPackages+=(bison)
+installPackages+=(flex)
+installPackages+=(gperf)
+installPackages+=(alsa-lib-devel)
+installPackages+=(pulseaudio-libs-devel)
+installPackages+=(libXtst-devel)
+installPackages+=(nspr-devel)
+installPackages+=(nss-devel)
+# For Android builds
+installPackages+=(java-1.8.0-openjdk-devel)
+# For receiving shasum
+installPackages+=(perl-Digest-SHA)
+# INTEGRITY requirements
+installPackages+=(glibc.i686)
+# Enable Qt Bluetooth
+installPackages+=(bluez-libs-devel)
+
+sudo yum -y update
+sudo yum -y install "${installPackages[@]}"
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/004-p7zip.sh b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/004-p7zip.sh
new file mode 100755
index 00000000..966f3045
--- /dev/null
+++ b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/004-p7zip.sh
@@ -0,0 +1,55 @@
+#!/bin/bash
+
+#############################################################################
+##
+## Copyright (C) 2017 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+source "${BASH_SOURCE%/*}/../common/DownloadURL.sh"
+
+name="p7zip"
+version="7-11"
+package="epel-release-$version.noarch.rpm"
+primaryUrl="https://dl.fedoraproject.org/pub/epel/7/x86_64/Packages/e/$package"
+cacheUrl="http://ci-files01-hki.intra.qt.io/input/rhel7/$package"
+sha1="5512b80e5b71f2370d8419fa16a0bc14c5edf854"
+targetFile="/tmp/$package"
+
+DownloadURL "$primaryUrl" "$cacheUrl" "$sha1" "$targetFile"
+
+sudo rpm -ivh "$targetFile"
+sudo yum -y install "$name"
+sudo rm "$targetFile"
+
+# Link 7za to 7z so we can use existing installation scripts
+sudo ln -s /usr/bin/7za /usr/bin/7z
+
+echo "$name = $version" >> ~/versions.txt
+
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/005-libclang.sh b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/005-libclang.sh
new file mode 100755
index 00000000..abbda212
--- /dev/null
+++ b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/005-libclang.sh
@@ -0,0 +1,9 @@
+#!/usr/bin/env bash
+
+BASEDIR=$(dirname "$0")
+. $BASEDIR/../common/sw_versions.txt
+VERSION=$libclang_version
+URL="https://download.qt.io/development_releases/prebuilt/libclang/libclang-release_${VERSION//\./}-linux-Rhel7.2-gcc5.3-x86_64.7z"
+SHA1="bbdbbc0296f42310077539b7247d285386119ef4"
+
+$BASEDIR/../common/libclang.sh "$URL" "$SHA1" "$VERSION"
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/006-cmake.sh b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/006-cmake.sh
new file mode 100755
index 00000000..46976e9a
--- /dev/null
+++ b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/006-cmake.sh
@@ -0,0 +1,40 @@
+#!/bin/bash
+
+#############################################################################
+##
+## Copyright (C) 2017 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+# This script installs CMake 3.6.2
+
+# CMake is needed for autotests that verify that Qt can be built with CMake
+
+source "${BASH_SOURCE%/*}/../common/cmake_linux.sh"
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/007-qnx_700.sh b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/007-qnx_700.sh
new file mode 100755
index 00000000..4a4031cc
--- /dev/null
+++ b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/007-qnx_700.sh
@@ -0,0 +1,36 @@
+#!/bin/bash
+
+#############################################################################
+##
+## Copyright (C) 2017 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+source "${BASH_SOURCE%/*}/../common/qnx_700.sh"
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/008-integrity.sh b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/008-integrity.sh
new file mode 100755
index 00000000..56b1556d
--- /dev/null
+++ b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/008-integrity.sh
@@ -0,0 +1,36 @@
+#!/bin/bash
+
+#############################################################################
+##
+## Copyright (C) 2017 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+source "${BASH_SOURCE%/*}/../common/integrity.sh"
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/009-disable_selinux.sh b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/009-disable_selinux.sh
new file mode 100755
index 00000000..3eced1a4
--- /dev/null
+++ b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/009-disable_selinux.sh
@@ -0,0 +1,36 @@
+#!/bin/bash
+
+#############################################################################
+##
+## Copyright (C) 2017 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+source "${BASH_SOURCE%/*}/../common/disable_selinux.sh"
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/009-install_icu.sh b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/009-install_icu.sh
new file mode 100755
index 00000000..9447c43f
--- /dev/null
+++ b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/009-install_icu.sh
@@ -0,0 +1,73 @@
+#!/bin/bash
+
+#############################################################################
+##
+## Copyright (C) 2017 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+set -ex
+
+# This script will install ICU
+
+icuVersion="56.1"
+icuLocation="/usr/lib64"
+sha1="6dd9ca6b185681a7ddc4bb94fd7fced27647a21c"
+baseBinaryPackageURL="http://master.qt.io/development_releases/prebuilt/icu/prebuilt/$icuVersion/icu-linux-g++-Rhel7.2-x64.7z"
+
+sha1Dev="bffde26cdea752bee0edd281820c57f1adac3864"
+develPackageURL="http://master.qt.io/development_releases/prebuilt/icu/prebuilt/$icuVersion/icu-linux-g++-Rhel7.2-x64-devel.7z"
+
+echo "Installing custom ICU $icuVersion $sha1 packages on RHEL to $icuLocation"
+
+targetFile=`mktemp`
+wget --tries=5 --waitretry=5 --output-document=$targetFile $baseBinaryPackageURL
+echo "$sha1 $targetFile" | sha1sum --check
+sudo 7z x -y -o"/usr/lib64" $targetFile
+sudo rm $targetFile
+
+echo "Installing custom ICU devel packages on RHEL"
+
+tempDir=`mktemp -d`
+
+targetFile=`mktemp`
+wget --tries=5 --waitretry=5 --output-document=$targetFile $develPackageURL
+echo "$sha1Dev $targetFile" | sha1sum --check
+7z x -y -o$tempDir $targetFile
+
+sudo cp -a $tempDir/lib/* /usr/lib64
+sudo cp -a $tempDir/* /usr/
+
+sudo rm $targetFile
+sudo rm -fr $tempDir
+
+sudo /sbin/ldconfig
+
+echo "ICU = $icuVersion" >> ~/versions.txt
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/010-openssl_for_android_linux.sh b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/010-openssl_for_android_linux.sh
new file mode 100755
index 00000000..b69295fc
--- /dev/null
+++ b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/010-openssl_for_android_linux.sh
@@ -0,0 +1,37 @@
+#!/bin/bash
+
+#############################################################################
+##
+## Copyright (C) 2017 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+source /opt/rh/devtoolset-4/enable
+source "${BASH_SOURCE%/*}/../common/openssl_for_android_linux.sh"
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/040-android_linux.sh b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/040-android_linux.sh
new file mode 100755
index 00000000..637c4224
--- /dev/null
+++ b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/040-android_linux.sh
@@ -0,0 +1,36 @@
+#!/bin/bash
+
+#############################################################################
+##
+## Copyright (C) 2017 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+source "${BASH_SOURCE%/*}/../common/android_linux.sh"
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/08-pythondev.sh b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/08-pythondev.sh
new file mode 100755
index 00000000..6ae0f820
--- /dev/null
+++ b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/08-pythondev.sh
@@ -0,0 +1,63 @@
+#!/bin/bash
+
+#############################################################################
+##
+## Copyright (C) 2017 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+source "${BASH_SOURCE%/*}/../common/DownloadURL.sh"
+
+set -ex
+
+packageEpel="epel-release-latest-7.noarch.rpm"
+OfficialUrl="https://dl.fedoraproject.org/pub/epel/$packageEpel"
+CachedUrl="http://ci-files01-hki.intra.qt.io/input/redhat/$packageEpel"
+SHA1="5512b80e5b71f2370d8419fa16a0bc14c5edf854"
+
+DownloadURL $OfficialUrl $CachedUrl $SHA1 ./$packageEpel
+sudo rpm -Uvh $packageEpel
+sudo rm -f $packageEpel
+
+# install python3
+sudo yum install -y python34-devel
+
+# install pip3
+
+packagePip="get-pip.py"
+OfficialUrlPip="https://bootstrap.pypa.io/$packagePip"
+CachedUrlPip="http://ci-files01-hki.intra.qt.io/input/redhat/$packagePip"
+SHA1Pip="3d45cef22b043b2b333baa63abaa99544e9c031d"
+
+DownloadURL $OfficialUrlPip $CachedUrlPip $SHA1Pip ./$packagePip
+sudo python3 $packagePip
+sudo rm -f $packagePip
+sudo pip3 install virtualenv
+
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/mqtt_broker.sh b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/mqtt_broker.sh
new file mode 100755
index 00000000..e367c20b
--- /dev/null
+++ b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/mqtt_broker.sh
@@ -0,0 +1,36 @@
+#!/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2017 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the test suite of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+source "${BASH_SOURCE%/*}/../common/mqtt_broker.sh"